Component({
  options: { multipleSlots: true },
  /**
   * 组件的属性列表
   */
  properties: {
    title: null,
    mode: null,
    options: null,
    value: null,
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    onOptionsChange(e: any) {
      this.triggerEvent('change', e.detail);
    },
  },
});
